srecord: srecord::input_filter_interval_minimum Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_filter_interval_minimum Class Reference

The srecord::input_filter_interval_minimum class is used to represent a filter which injects the minimum address of the data into the data. More...

`#include <minimum.h>`

Inheritance diagram for srecord::input_filter_interval_minimum:
[legend]
Collaboration diagram for srecord::input_filter_interval_minimum:
[legend]

## Public Member Functions
virtual | ~input_filter_interval_minimum ()
| The destructor.
Public Member Functions inherited from srecord::input_filter_interval
virtual | ~input_filter_interval ()
| The destructor.
Public Member Functions inherited from srecord::input_filter
virtual | ~input_filter ()
| The destructor.
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
std::string | filename_and_line () const
| The filename_and_line method is used to get the name and current line number within the file.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const pointer &deeper, long address, int length, endian_t end, bool inclusive)
| The constructor.

## Protected Member Functions
long | calculate_result () const
| The calculate_result method is used to calculate the final value to be placed into the output.
Protected Member Functions inherited from srecord::input_filter_interval
| input_filter_interval (const input::pointer &deeper, long address, int length, endian_t end, bool inclusive)
| The constructor.
const interval & | get_range () const
| The get_range method may be used to derived classes to get access to the address range covered by the input data.
bool | read (record &record)
| The read method is used to read one record from the input.
Protected Member Functions inherited from srecord::input_filter
| input_filter (input::pointer deeper)
| The constructor.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer
Protected Attributes inherited from srecord::input_filter
pointer | ifp

## Detailed Description

The srecord::input_filter_interval_minimum class is used to represent a filter which injects the minimum address of the data into the data.

Definition at line 32 of file minimum.h.

## Constructor & Destructor Documentation

## ◆ ~input_filter_interval_minimum()

virtual srecord::input_filter_interval_minimum::~input_filter_interval_minimum | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::input_filter_interval_minimum::create | ( | const pointer & | deeper,
|  | long | address,
|  | int | length,
|  | endian_t | end,
|  | bool | inclusive )
| static

The constructor.

Parameters

  deeper | The input source to be filtered.
  address | The address at which to place the minimum address.
  length | The number of bytes of minimum address to be inserted.
  end | The byte order.
  inclusive | true if the output location is included in the address range, false if not

## ◆ calculate_result()

long srecord::input_filter_interval_minimum::calculate_result | ( |  | ) | const
| protectedvirtual

The calculate_result method is used to calculate the final value to be placed into the output.

Implements srecord::input_filter_interval.

The documentation for this class was generated from the following file:

- input/filter/interval/minimum.h